AnsweredAssumed Answered

What's Kettle compatibility with the OpenSDK versions? Specifically does Kettle support OpenSDK 11?

Question asked by Maxim Tatar on Jan 10, 2019
Latest reply on Jan 14, 2019 by Joao Figueiredo

Kettle is one of the critical libraries in our application.

We are planning on switching from Oracle JDK 8 to OpenJDK.

Currently checking if we can jump to OpenSDK 11.

Where can I find (of if someone can just tell here) the compatibility matrix between Kettle versions and OpenSDK versions?

 

Thank you

 

-----------------------

After asking the question above - I found that page: https://support.pentaho.com/hc/en-us/articles/360016233851-Support-Statement-for-Pentaho-Software-Requirements-for-Java-Runtime-Environment-JRE-#_ftn2

 

What's still not clear to me:

this page above talks about support. Let's say we don't need an official support. I just hope to find if Kettle will work OpenSDK? And another question comes here: that support statement specifies OpenSDK-8-JRE. What if I need not jre but sdk? Would it work?

Thank you.

Outcomes